# Makefile.in generated automatically by automake 1.3 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# $Id: Makefile.am,v 1.10 1999/01/17 11:40:09 kulow Exp $

####### General stuff


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DISTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
AS = @AS@
CC = @CC@
CPP = @CPP@
CXX = @CXX@
CXXCPP = @CXXCPP@
DLLTOOL = @DLLTOOL@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
IDL = @IDL@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_RPATH = @KDE_RPATH@
KOFFICECORE_INCLUDES = @KOFFICECORE_INCLUDES@
KOFFICEUI_INCLUDES = @KOFFICEUI_INCLUDES@
KOFFICE_INCLUDES = @KOFFICE_INCLUDES@
KOFFICE_LIBS = @KOFFICE_LIBS@
KOML_INCLUDES = @KOML_INCLUDES@
KSTORE_INCLUDES = @KSTORE_INCLUDES@
LD = @LD@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBMICO = @LIBMICO@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBSOCKET = @LIBSOCKET@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBZ = @LIBZ@
LIB_KAB = @LIB_KAB@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEUI = @LIB_KDEUI@
LIB_KDEUTIL = @LIB_KDEUTIL@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KHTMLW = @LIB_KHTMLW@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KOFFICECORE = @LIB_KOFFICECORE@
LIB_KOFFICEUI = @LIB_KOFFICEUI@
LIB_KOML = @LIB_KOML@
LIB_KSTORE = @LIB_KSTORE@
LIB_MEDIATOOL = @LIB_MEDIATOOL@
LIB_QT = @LIB_QT@
LIB_X11 = @LIB_X11@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = @MOC@
MSGFMT = @MSGFMT@
NM = @NM@
PACKAGE = @PACKAGE@
PAMINC = @PAMINC@
PAMLIBPATHS = @PAMLIBPATHS@
PAMLIBS = @PAMLIBS@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
TOPSUBDIRS = @TOPSUBDIRS@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
XGETTEXT = @XGETTEXT@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
all_includes = @all_includes@
all_libraries = @all_libraries@
idldir = @idldir@
install_root = @install_root@
interfacedir = @interfacedir@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_cgidir = @kde_cgidir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_minidir = @kde_minidir@
kde_partsdir = @kde_partsdir@
kde_sounddir = @kde_sounddir@
kde_toolbardir = @kde_toolbardir@
kde_wallpaperdir = @kde_wallpaperdir@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
x_includes = @x_includes@
x_libraries = @x_libraries@

INCLUDES= $(all_includes) $(MICO_INCLUDES)

####### Files

lib_LTLIBRARIES = libkchartcore.la
libkchartcore_la_SOURCES = \
	KChart.cpp KChartWidget.cpp KChartPainter.cpp KChartAxesPainter.cpp \
	KChartAreaPainter.cpp KChartBarsPainter.cpp KChartPointsPainter.cpp \
	KChartLinesPainter.cpp KChartLinesPointsPainter.cpp KChartPiePainter.cpp \
	KChartColorArray.cpp KChartData.cpp KChartPie3DPainter.cpp 

libkchartcore_la_LIBADD =  $(LIB_KDECORE)
libkchartcore_la_LDFLAGS = $(all_libraries) -version-info 1:0:0
include_HEADERS = KChart.h KChartTypes.h KChartColorArray.h KChartData.h KChartWidget.h

DISTCLEANFILES = $(METASOURCES)

noinst_PROGRAMS = test test2 test3 test4 test5 test6 test7 test10 test11 test14
noinst_HEADERS = KChartAreaPainter.h KChartAxesPainter.h KChartBarsPainter.h \
	KChartLinesPainter.h KChartLinesPointsPainter.h KChartPointsPainter.h \
	KChartPiePainter.h KChartPie3DPainter.h 

METASOURCES = KChart.moc KChartData.moc KChartWidget.moc

test_SOURCES = main.cpp
test2_SOURCES = main2.cpp
test3_SOURCES = main3.cpp
test4_SOURCES = main4.cpp
test5_SOURCES = main5.cpp
test6_SOURCES = main6.cpp
test7_SOURCES = main7.cpp
test10_SOURCES = main10.cpp
test11_SOURCES = main11.cpp
test14_SOURCES = main14.cpp

LDFLAGS = $(all_libraries)
LDADD = libkchartcore.la $(LIB_KDECORE)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(lib_LTLIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LIBS = @LIBS@
libkchartcore_la_DEPENDENCIES = 
libkchartcore_la_OBJECTS =  KChart.lo KChartWidget.lo KChartPainter.lo \
KChartAxesPainter.lo KChartAreaPainter.lo KChartBarsPainter.lo \
KChartPointsPainter.lo KChartLinesPainter.lo \
KChartLinesPointsPainter.lo KChartPiePainter.lo KChartColorArray.lo \
KChartData.lo KChartPie3DPainter.lo
PROGRAMS =  $(noinst_PROGRAMS)

test_OBJECTS =  main.o
test_LDADD = $(LDADD)
test_DEPENDENCIES =  libkchartcore.la
test_LDFLAGS = 
test2_OBJECTS =  main2.o
test2_LDADD = $(LDADD)
test2_DEPENDENCIES =  libkchartcore.la
test2_LDFLAGS = 
test3_OBJECTS =  main3.o
test3_LDADD = $(LDADD)
test3_DEPENDENCIES =  libkchartcore.la
test3_LDFLAGS = 
test4_OBJECTS =  main4.o
test4_LDADD = $(LDADD)
test4_DEPENDENCIES =  libkchartcore.la
test4_LDFLAGS = 
test5_OBJECTS =  main5.o
test5_LDADD = $(LDADD)
test5_DEPENDENCIES =  libkchartcore.la
test5_LDFLAGS = 
test6_OBJECTS =  main6.o
test6_LDADD = $(LDADD)
test6_DEPENDENCIES =  libkchartcore.la
test6_LDFLAGS = 
test7_OBJECTS =  main7.o
test7_LDADD = $(LDADD)
test7_DEPENDENCIES =  libkchartcore.la
test7_LDFLAGS = 
test10_OBJECTS =  main10.o
test10_LDADD = $(LDADD)
test10_DEPENDENCIES =  libkchartcore.la
test10_LDFLAGS = 
test11_OBJECTS =  main11.o
test11_LDADD = $(LDADD)
test11_DEPENDENCIES =  libkchartcore.la
test11_LDFLAGS = 
test14_OBJECTS =  main14.o
test14_LDADD = $(LDADD)
test14_DEPENDENCIES =  libkchartcore.la
test14_LDFLAGS = 
CXXFLAGS = @CXXFLAGS@
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
CXXLINK = $(LIBTOOL) --mode=link $(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(include_HEADERS) $(noinst_HEADERS)

DIST_COMMON =  ChangeLog Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
SOURCES = $(libkchartcore_la_SOURCES) $(test_SOURCES) $(test2_SOURCES) $(test3_SOURCES) $(test4_SOURCES) $(test5_SOURCES) $(test6_SOURCES) $(test7_SOURCES) $(test10_SOURCES) $(test11_SOURCES) $(test14_SOURCES)
OBJECTS = $(libkchartcore_la_OBJECTS) $(test_OBJECTS) $(test2_OBJECTS) $(test3_OBJECTS) $(test4_OBJECTS) $(test5_OBJECTS) $(test6_OBJECTS) $(test7_OBJECTS) $(test10_OBJECTS) $(test11_OBJECTS) $(test14_OBJECTS)

all: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS)

.SUFFIXES:
.SUFFIXES: .S .c .cpp .lo .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps kchart/core/Makefile
	cd $(top_srcdir) && perl admin/automoc kchart/core/Makefile.in

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-libLTLIBRARIES:

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

distclean-libLTLIBRARIES:

maintainer-clean-libLTLIBRARIES:

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL_DATA) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_DATA) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libkchartcore.la: $(libkchartcore_la_OBJECTS) $(libkchartcore_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libkchartcore_la_LDFLAGS) $(libkchartcore_la_OBJECTS) $(libkchartcore_la_LIBADD) $(LIBS)

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

test: $(test_OBJECTS) $(test_DEPENDENCIES)
	@rm -f test
	$(CXXLINK) $(test_LDFLAGS) $(test_OBJECTS) $(test_LDADD) $(LIBS)

test2: $(test2_OBJECTS) $(test2_DEPENDENCIES)
	@rm -f test2
	$(CXXLINK) $(test2_LDFLAGS) $(test2_OBJECTS) $(test2_LDADD) $(LIBS)

test3: $(test3_OBJECTS) $(test3_DEPENDENCIES)
	@rm -f test3
	$(CXXLINK) $(test3_LDFLAGS) $(test3_OBJECTS) $(test3_LDADD) $(LIBS)

test4: $(test4_OBJECTS) $(test4_DEPENDENCIES)
	@rm -f test4
	$(CXXLINK) $(test4_LDFLAGS) $(test4_OBJECTS) $(test4_LDADD) $(LIBS)

test5: $(test5_OBJECTS) $(test5_DEPENDENCIES)
	@rm -f test5
	$(CXXLINK) $(test5_LDFLAGS) $(test5_OBJECTS) $(test5_LDADD) $(LIBS)

test6: $(test6_OBJECTS) $(test6_DEPENDENCIES)
	@rm -f test6
	$(CXXLINK) $(test6_LDFLAGS) $(test6_OBJECTS) $(test6_LDADD) $(LIBS)

test7: $(test7_OBJECTS) $(test7_DEPENDENCIES)
	@rm -f test7
	$(CXXLINK) $(test7_LDFLAGS) $(test7_OBJECTS) $(test7_LDADD) $(LIBS)

test10: $(test10_OBJECTS) $(test10_DEPENDENCIES)
	@rm -f test10
	$(CXXLINK) $(test10_LDFLAGS) $(test10_OBJECTS) $(test10_LDADD) $(LIBS)

test11: $(test11_OBJECTS) $(test11_DEPENDENCIES)
	@rm -f test11
	$(CXXLINK) $(test11_LDFLAGS) $(test11_OBJECTS) $(test11_LDADD) $(LIBS)

test14: $(test14_OBJECTS) $(test14_DEPENDENCIES)
	@rm -f test14
	$(CXXLINK) $(test14_LDFLAGS) $(test14_OBJECTS) $(test14_LDADD) $(LIBS)
.cpp.o:
	$(CXXCOMPILE) -c $<
.cpp.lo:
	$(LTCXXCOMPILE) -c $<

install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/$$p"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/$$p; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	list='$(include_HEADERS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(includedir)/$$p; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = kchart/core

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: install-libLTLIBRARIES
	@$(NORMAL_INSTALL)

install-data: install-includeHEADERS
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-libLTLIBRARIES uninstall-includeHEADERS

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:
	$(mkinstalldirs)  $(DATADIR)$(libdir) $(DATADIR)$(includedir)


mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(DISTCLEANFILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-libLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-noinstPROGRAMS \
		mostlyclean-tags mostlyclean-generic

clean:  clean-libLTLIBRARIES clean-compile clean-libtool \
		clean-noinstPROGRAMS clean-tags clean-generic \
		mostlyclean

distclean: distclean-metasources  distclean-libLTLIBRARIES distclean-compile distclean-libtool \
		distclean-noinstPROGRAMS distclean-tags \
		distclean-generic clean
	-rm -f config.status
	-rm -f libtool

maintainer-clean:  maintainer-clean-libLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-noinstPROGRAMS maintainer-clean-tags \
		maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
clean-libLTLIBRARIES maintainer-clean-libLTLIBRARIES \
uninstall-libLTLIBRARIES install-libLTLIBRARIES mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
maintainer-clean-libtool mostlyclean-noinstPROGRAMS \
distclean-noinstPROGRAMS clean-noinstPROGRAMS \
maintainer-clean-noinstPROGRAMS uninstall-includeHEADERS \
install-includeHEADERS tags mostlyclean-tags distclean-tags clean-tags \
maintainer-clean-tags distdir info dvi installcheck install-exec \
install-data install uninstall all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean

CXXFLAGS += -O -DINCLUDE_MOC_BULLSHIT

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:


$(srcdir)/KChart.cpp: KChart.moc
KChart.moc: $(srcdir)/KChart.h
	$(MOC) $(srcdir)/KChart.h -o KChart.moc

$(srcdir)/KChartData.cpp: KChartData.moc
KChartData.moc: $(srcdir)/KChartData.h
	$(MOC) $(srcdir)/KChartData.h -o KChartData.moc

$(srcdir)/KChartWidget.cpp: KChartWidget.moc
KChartWidget.moc: $(srcdir)/KChartWidget.h
	$(MOC) $(srcdir)/KChartWidget.h -o KChartWidget.moc

distclean-metasources:
	-rm -f KChart.moc KChartData.moc KChartWidget.moc 

# DO_NOT_USE_AUTOMOC
